DavenDaven Documentation
APIAPI ReferenceATSJob Offers

Update partially job offer

PATCH
/ats/job-offers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Job offer partial DTO - The data transfer object for job offers with optional fields

publication_at?string

Date of the job offer

title?string

Title of the job offer

reference?string

Main job offer reference

reference_2?string

Second job offer reference

reference_3?string

Third job offer reference

subsidiary?string

Subsidiary name

subsidiary_ats_id?string

Subsidiary's internal ID in the ATS

description?string

Description of the job offer

attributes?array<>

Attributes of the job offer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/ats/job-offers/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "string",
  "data": [
    {
      "publication_at": "2023-10-01T00:00:00Z",
      "title": "Software Engineer",
      "reference": "REF123",
      "reference_2": "REF456",
      "reference_3": "REF789",
      "subsidiary": "Daven Corp",
      "subsidiary_ats_id": "SUB123",
      "description": "We are looking for a software engineer to join our team.",
      "attributes": [
        {
          "name": "location",
          "value": "Paris"
        }
      ]
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}